"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SparqlClient = void 0;
const axios = require("axios").default;
class SparqlClient {
    // "https://int.lindas.admin.ch/query"
    constructor(endpointUrl, user, password) {
        this.endpoint = axios.create({
            baseURL: "https://int.lindas.admin.ch/query",
            //  timeout: 1000,
            //  headers: { "X-Custom-Header": "foobar" },
        });
        this.endpoint = axios.create({
            baseURL: endpointUrl,
            //  timeout: 1000,
            //  headers: { "X-Custom-Header": "foobar" },
            auth: {
                username: user,
                password: password,
            },
        });
    }
    async query(sparqlQuery) {
        const params = new URLSearchParams();
        params.append("query", sparqlQuery);
        const config = {
            headers: {
                // eslint-disable-next-line @typescript-eslint/naming-convention
                "Content-Type": "application/x-www-form-urlencoded",
                // eslint-disable-next-line @typescript-eslint/naming-convention
                Accept: "application/sparql-results+json,text/turtle",
            },
        };
        const response = await this.endpoint.post("/", params, config);
        return response;
    }
}
exports.SparqlClient = SparqlClient;
//# sourceMappingURL=simple-client.js.map